%define	module	Config-General
%define	name	perl-%{module}
%define version 2.30
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Generic Config perl module
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/T/TL/TLINDEN/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	perl >= 5.6.1
BuildRequires:	perl-devel >= 5.6.1
BuildArch:	noarch

%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%prep
%setup -q -n %{module}-%{version}
chmod 644 Changelog README

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changelog README
%{perl_vendorlib}/Config
%{_mandir}/man3/*

%changelog
* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.30-1mdk
- New release 2.30
- fix source URL
- don't ship empty directories
- make test in %%check
- fix doc files perms
- non-redundant summary

* Thu Jun 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.29-1mdk
- 2.29

* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.28-1mdk
- 2.28
- Make rpmbuildable

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.27-2mdk
- rebuild for new perl

* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.27-1mdk
- 2.27

* Mon Mar 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.26-1mdk
- 2.26

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.24-1mdk
- 2.24

* Fri Jun 06 2003 Maxim Heijndijk <cchq@wanadoo.nl> 2.18-1mdk
- Initial wrap.
